aboutsummaryrefslogtreecommitdiff
path: root/vim/bundle/vim-snippets/tests.sh
diff options
context:
space:
mode:
authorKarel Kočí <cynerd@email.cz>2016-06-30 16:03:25 +0200
committerKarel Kočí <cynerd@email.cz>2016-06-30 16:03:25 +0200
commite573b3020c032400eed60b649a2cbf55266e6bb0 (patch)
tree8f572394ac8433529c7a8e70d160a2fbe8268b4e /vim/bundle/vim-snippets/tests.sh
parentb8c667bd64b3edd38d56c63c5bd1db53a23b4499 (diff)
downloadmyconfigs-e573b3020c032400eed60b649a2cbf55266e6bb0.tar.gz
myconfigs-e573b3020c032400eed60b649a2cbf55266e6bb0.tar.bz2
myconfigs-e573b3020c032400eed60b649a2cbf55266e6bb0.zip
Add current configurations from old repository
Diffstat (limited to 'vim/bundle/vim-snippets/tests.sh')
-rwxr-xr-xvim/bundle/vim-snippets/tests.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/vim/bundle/vim-snippets/tests.sh b/vim/bundle/vim-snippets/tests.sh
new file mode 100755
index 0000000..07f0ff3
--- /dev/null
+++ b/vim/bundle/vim-snippets/tests.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+
+SPACED=$(grep -REn '^ .+' --include '*.snippets' snippets)
+
+if [[ $? -ne 1 ]]; then
+ echo These snippet lines are indented with spaces:
+ echo
+ echo "$SPACED"
+ echo
+ echo Tests failed!
+ exit 1
+fi
+
+echo Tests passed!
+exit 0